Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPainter.RenderHint

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPainter.RenderHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPainter

    public static final class QPainter.RenderHint

extends java.lang.Enum
implements QtEnumerator

Renderhints are used to specify flags to `QPainter` that may or may not be respected by any given engine.

See also:
  `renderHints()`, `setRenderHint()`, `Rendering Quality`, and Concentric Circles Example.

See Also:
  Serialized Form

Field Summary
`static QPainter.RenderHint` | `Antialiasing` Indicates that the engine should antialias edges of primitives if possible.
`static QPainter.RenderHint` | `HighQualityAntialiasing` An OpenGL-specific rendering hint indicating that the engine should use fragment programs and offscreen rendering for antialiasing.
`static QPainter.RenderHint` | `NonCosmeticDefaultPen` The engine should interpret pens with a width of 0 (which otherwise enables `QPen::isCosmetic()`) as being a non-cosmetic pen with a width of 1.
`static QPainter.RenderHint` | `SmoothPixmapTransform` Indicates that the engine should use a smooth pixmap transformation algorithm (such as bilinear) rather than nearest neighbor.
`static QPainter.RenderHint` | `TextAntialiasing` Indicates that the engine should antialias text if possible.

Method Summary
`static QPainter.RenderHints` | `createQFlags(QPainter.RenderHint[] values)` This function creates a com.trolltech.qt.gui.QPainter$RenderHints with the specified `com.trolltech.qt.gui.QPainter$RenderHint[]` QPainter$RenderHint values set.
`static QPainter.RenderHint` | `resolve(int value)` Returns the QPainter$RenderHint constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPainter.RenderHint` | `valueOf(java.lang.String name)`
`static QPainter.RenderHint[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Antialiasing

    public static final QPainter.RenderHint Antialiasing

  Indicates that the engine should antialias edges of primitives if possible.

### TextAntialiasing

    public static final QPainter.RenderHint TextAntialiasing

  Indicates that the engine should antialias text if possible.

### SmoothPixmapTransform

    public static final QPainter.RenderHint SmoothPixmapTransform

  Indicates that the engine should use a smooth pixmap transformation algorithm (such as bilinear) rather than nearest neighbor.

### HighQualityAntialiasing

    public static final QPainter.RenderHint HighQualityAntialiasing

  An OpenGL-specific rendering hint indicating that the engine should use fragment programs and offscreen rendering for antialiasing.

### NonCosmeticDefaultPen

    public static final QPainter.RenderHint NonCosmeticDefaultPen

  The engine should interpret pens with a width of 0 (which otherwise enables `QPen::isCosmetic()`) as being a non-cosmetic pen with a width of 1.

Method Detail

### values

    public static QPainter.RenderHint[] values()

### valueOf

    public static QPainter.RenderHint valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QPainter.RenderHints createQFlags(QPainter.RenderHint[] values)

  This function creates a com.trolltech.qt.gui.QPainter$RenderHints with the specified `com.trolltech.qt.gui.QPainter$RenderHint[]` QPainter$RenderHint values set.

### resolve

    public static QPainter.RenderHint resolve(int value)

  Returns the QPainter$RenderHint constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD